Post Format

Hotel Booking WooCommerce Payments (Integrations)

Use WooCommerce payment gateways to rent out your accommodations.

This add-on integrates WooCommerce payment gateways with MotoPress Hotel Booking plugin for WordPress. Use it to extend a number of payment gateways needed to handle online reservation of accommodations.

Backend demo

To test backend of Hotel Booking WooCommerce Payments add-on, register your demo: click Live Preview button and choose Villagio theme.

How to install the addon

  1. Install and activate the plugin.

  2. Create one WooCommerce product (e.g. Reservation) that will be used for reservations.

  3. Navigate to Hotel Booking settings page, activate “WooCommerce” payment and select created product.

  4. Set up WooCommerce payment gateways.

How it will work for your guests

  1. Your guest chooses the accommodation on your site.

  2. Guest provides personal data to confirm the reservation.

  3. Guest chooses from the WooCommerce payment gateways offered by you and pays.

  4. A new booking appears upon successful payment.
  5. WooCommerce orders are automatically synchronized with bookings of Hotel Booking plugin.

FAQ

Q: Can I use built-in payment gateways of MotoPress Hotel Booking plugin with WooCommerce ones simultaneously?

A: Of course! Enable only those WooCommerce payment gateways, which are not available by default in the MotoPress Hotel Booking plugin.

Q: Can I use this extension to sell other products apart from using it for accommodation reservation?

A: Yes, you can sell other products via WooCommerce, but please bear in mind that reservation and another product cannot be added in the shopping cart simultaneously (bookings are purchased separately from other average products).

Q: Can I use WooCommerce Subscription?

A: No. Since the booking depends on accommodation availability, it cannot be controlled by subscription.

Q: Can I use other WooCommerce addons?

A: Sure, other WooCommerce addons will work.

Requirements:

– Hotel Booking plugin 2.4.0 or greater;

– WooCommerce plugin 3.2.6 or greater;

Buy Plugin

Leave a Reply